Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		gtkextra2
Version:	2.1.1
Release:	1
Provides:	%{name}
License:	GNU/LGPL 
URL:		http://gtkextra.sourceforge.net/
Group:		System/Libraries
Source0:	gtk+extra-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	set of GTK2+ widgets
Requires:	gtk2+
BuildRequires:	gtk2+-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  pango-devel

%description
GtkExtra is a useful set of widgets for creating GUI's for the Xwindows system using GTK+. You can use it complementary to GTK+ and it is written in C. 

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n gtk+extra-%{version}

%build
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc COPYING README NEWS ChangeLog
%_libdir/*.so.*
#%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1-1
- Initial Release
